commit:     e5ffd67cbbbdb12a902723c1fbea8b41f737225f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 19 22:05:21 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 19 22:17:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5ffd67c

dev-python/dbusmock: Bump to 0.20.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/dbusmock/Manifest               |  1 +
 dev-python/dbusmock/dbusmock-0.20.0.ebuild | 36 ++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/dbusmock/Manifest b/dev-python/dbusmock/Manifest
index 76345a823f4..815baeb1dbf 100644
--- a/dev-python/dbusmock/Manifest
+++ b/dev-python/dbusmock/Manifest
@@ -1 +1,2 @@
 DIST dbusmock-0.19.tar.gz 72567 BLAKE2B 
973cfa02d1aec29f2151ce077471c49f7def3cee079eb975bbc1abca39cc6d391f5dc4aed40fcd9c9db3fcc25429e689f130dc495b94428b73c64f3c650a9c3a
 SHA512 
9f49cb1818c0de8b774d4ccd0eed35de3b0a95de669e70539699237b5cdfee993da7747dc28375c8f1c26fac83d948b7ce25107d866e28b833b556c6f654706c
+DIST dbusmock-0.20.0.tar.gz 72228 BLAKE2B 
704287414bf562bcda9c25c6febd6c4a7b0123c1c38dcbe00f5448dc94784eb6002825975f03b8633e253dd63b18126026c9630aa98fcd891d7e40eba207f123
 SHA512 
26660439801dbd4c2cdc146d67fa465ecfdfbe4dba4fbd163e0f00af415247d0ff502122d0a850b5bd6dde9f296dea601dcb180ba4bdd5d58966ee4ccdef8999

diff --git a/dev-python/dbusmock/dbusmock-0.20.0.ebuild 
b/dev-python/dbusmock/dbusmock-0.20.0.ebuild
new file mode 100644
index 00000000000..7a5a676663e
--- /dev/null
+++ b/dev-python/dbusmock/dbusmock-0.20.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+MY_PN="python-${PN}"
+MY_P="${MY_PN}-${PV}"
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="Easily create mock objects on D-Bus for software testing"
+HOMEPAGE="https://github.com/martinpitt/python-dbusmock";
+SRC_URI="https://github.com/martinpitt/${MY_PN}/releases/download/${PV}/${MY_P}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+       dev-python/dbus-python[${PYTHON_USEDEP}]
+       dev-python/pygobject:3[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       # broken by bluez5?
+       rm tests/test_bluez4.py || die
+       # needed for unittest discovery
+       > tests/__init__.py || die
+
+       distutils-r1_src_prepare
+}

Reply via email to